/***************************************************************************
 *            params.h
 *
 *  Wed Jun  8 15:31:26 2005
 *  Copyright  2005  User
 *  Email
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#include <iostream>
#include <unistd.h>
#include <cstdlib>
#include <cstdio>
#include <string>
#include <vector>
#include <iostream>
#include <fstream>

using namespace std;
 
#ifndef _PARAMS_H
#define _PARAMS_H

#ifdef __cplusplus
extern "C"
{
#endif
	
int getxcomppid(const string& searchstr);
const string num(int n);
const string numf(float n, int precision);
void createproc(const string& procstr);
void createprocEx(const string& procstr);
bool write_session_file(const string& sessionfilestr, const string& command);
bool checknonzero(const string& instr);
	
string strreplace(string in, string strtorep, string newstr);
void split(const string& delimiter, const string& str, vector<string> &StrArray);
bool writeoutFile(const string& filename, vector<string> &StrArray); 
bool readinFile(const string& filename, vector<string> &StrArray); 
string reversestring(const string& instr);
void savechararray(const string& fname, const unsigned char* pdata, int size);
	
class params {
public:
	string m_soptionsbuild;
	void buildoptions(); 
	params();	
	void restoredefaults();
	
	void serialize(const string& filename);
	void unserialize(const string& filename);

	float p_r;
	float p_o;
	float p_l;
	float p_t;
	float p_I;
	float p_O;
	float p_D;
// BOOLS
	int p_a;
	int p_c;
	int p_C;
	int p_f;
	int p_F;
	int p_n;
	int p_s;
	int p_S;
};



#ifdef __cplusplus
}
#endif

#endif /* _PARAMS_H */
